### Class

# Atspi StateSet

#### Description [src]

    class Atspi.StateSet : GObject.Object
    {
      _AtspiAccessible* accessible,
      gint64 states
    }

The atspi-stateset objects implement wrappers around a bitmap of accessible states.

#### Ancestors

- GObject

#### Constructors

###### atspi_state_set_new

Generates an `AtspiStateSet` with the given `states`.

#### Instance methods

###### atspi_state_set_add

Adds a particular `AtspiState` to an `AtspiStateSet` (i.e. sets the given state to `TRUE` in the stateset).

###### atspi_state_set_compare

Determines the differences between two instances of `AtspiStateSet`.

###### atspi_state_set_contains

Determines whether a given `AtspiStateSet` includes a given state; that is, whether `state` is true for the `set` in question.

###### atspi_state_set_equals

Determines whether two instances of `AtspiStateSet` are equivalent (i.e. consist of the same `AtspiStates`). Useful for checking multiple state variables at once.

###### atspi_state_set_get_states

Returns the states in an `AtspiStateSet` as an array.

###### atspi_state_set_is_empty

No description available.

###### atspi_state_set_remove

Removes a particular `AtspiState` to an `AtspiStateSet` (i.e. sets the given state to `FALSE` in the stateset.).

###### atspi_state_set_set_by_name

Enables/disables a state in an `AtspiStateSet` according to its `name`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiStateSetClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.